Lire les règles de validation pour une propriété
curl --request GET \
--url https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"ruleArguments": [
"<string>"
],
"shouldApplyNormalization": true
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Validations de propriétés
Read validation rules for a property
Lisez les règles de validation d’une propriété identifiée par .
GET
/
crm
/
property-validations
/
2026-03
/
{objectTypeId}
/
{propertyName}
Lire les règles de validation pour une propriété
Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Réponse
successful operation
Ensemble de règles de validation configurées pour la propriété spécifiée. Chaque règle définit une contrainte que les valeurs de propriété doivent respecter (par exemple, exigences de format, limites de longueur, valeurs autorisées).
Show child attributes
Show child attributes
Dernière modification le 1 avril 2026
⌘I